Zend Server and Ubuntu 12.04 problems...

I know that this post is not about WPMU but it's about PHP and a stable version of a popular server.

This is not a cry for help, I am simply pointing out a problem I have got into so that other ppl will be more carefuller and wait with the upgrade.

As of now, it is impossible to install Zend Server CE (or the pay version) on a Ubuntu 12.04!
There is a dependency problem that cannt be resolved (the problem is in the server itself.